Bug 702262 - Abrt allows submitting crash reports without comments
Summary: Abrt allows submitting crash reports without comments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-05 08:12 UTC by Christoph Wickert
Modified: 2015-02-01 22:53 UTC (History)
10 users (show)

Fixed In Version: abrt-2.0.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:24:28 UTC


Attachments (Terms of Use)

Description Christoph Wickert 2011-05-05 08:12:42 UTC
Description of problem:
Abrt allows submitting crash reports without *any* comments again. This makes it very hard for the developers/maintainers to reproduce the crashes and asking submitters for this info causes a lot of work and delay.

Version-Release number of selected component (if applicable):
abrt-2.0.1-2.fc15

How reproducible:
always

Steps to Reproduce:
1. file a bug with abrt
  
Actual results:
there is no need to enter any data

Expected results:
at least a short comment and the steps to reproduce the the crash should be mandatory. 

Additional info:
I would also like to see a dropdown for "Does the application crash every time you do the same? - Yes / No / Sometimes". This would be the counterpart to "How reproducible" when filing a bug in bugzilla.

Comment 1 Miroslav Lichvar 2011-05-11 11:24:59 UTC
Fixed in upstream git. It now requires at least 10 chars in the comment.

Comment 2 Christoph Wickert 2011-06-13 07:48:58 UTC
Any idea when this is going to land in F15?

Comment 3 Jiri Moskovcak 2011-06-13 18:05:10 UTC
(In reply to comment #2)
> Any idea when this is going to land in F15?

I'm going to release an update for F15 this week.

Comment 4 Fedora Update System 2011-06-21 13:44:28 UTC
abrt-2.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15

Comment 5 Fedora Update System 2011-06-21 23:55:24 UTC
Package abrt-2.0.3-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.3-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15
then log in and leave karma (feedback).

Comment 6 Steve Tyler 2011-06-22 21:14:52 UTC
What is an acceptable comment is not self-evident, but by experiment, it appears that any 10 characters will do.

Accepted: "i don't know"
          "don't know"
          "unknown unknown"
          "not known " (space at end)
          "1234567890"
          "          " (10 spaces)
Rejected: "unknown"
          "not known" (no space at end)
          "123456789"
          "         " (9 spaces)

abrt-2.0.3-1.fc15.x86_64

Cross-reference:
Bug 712508 - offer the user an option to not make a comment.

Comment 7 Jiri Moskovcak 2011-06-23 08:14:46 UTC
> What is an acceptable comment is not self-evident, but by experiment, it
> appears that any 10 characters will do.
> 
> Accepted: "i don't know"
>           "don't know"
>           "unknown unknown"
>           "not known " (space at end)
>           "1234567890"
>           "          " (10 spaces)
> Rejected: "unknown"
>           "not known" (no space at end)
>           "123456789"
>           "         " (9 spaces)
> 
> abrt-2.0.3-1.fc15.x86_64

Yes, the logic is just:

if (strlen(comment) > 9) allow_send;(In reply to comment #6)

> 
> Cross-reference:
> Bug 712508 - offer the user an option to not make a comment.

- this will probably make Christoph not-happy again ;)

Comment 8 Christoph Wickert 2011-06-23 08:30:12 UTC
(In reply to comment #7)
> > Cross-reference:
> > Bug 712508 - offer the user an option to not make a comment.
> 
> - this will probably make Christoph not-happy again ;)

Right. :(
I just commented on that bug. IHMO we need an explicit opt-in that users are willing to provide feedback. No feedback -no reports. Simple as that.

Comment 9 Jiri Moskovcak 2011-06-23 09:01:32 UTC
My idea for improving this is:

1. make this dependent on the crash type
- we don't need comments for most of the crashes in python apps

2. make it dependent on selected reporter
 - e.g Kerneloops server don't even store the comment anywhere..

3. add the checkbox from #712508 where it makes sense:
 - combination of 1 + 2: e.g: reporting C/C++ crash to bugzilla
 - reporting kerneloops to BZ
but no checkbox and comment not required
 - reporting crash in python app to bugzilla
 - or reporting kerneloops to kerneloops.org

Comment 10 Fedora Update System 2011-06-24 03:22:23 UTC
abrt-2.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Christoph Wickert 2012-01-17 13:08:59 UTC
Ist this really fixed? AFAICS it is now mandatory to write at least a comment of 5 characters, but when selecting the information to submit, this information is not checked by default and thus will not be included if people just click through the wizards.

Comment 12 Denys Vlasenko 2012-01-17 13:30:38 UTC
(In reply to comment #11)
> Ist this really fixed? AFAICS it is now mandatory to write at least a comment
> of 5 characters,

I don't know whether it is in this update or in the next, but there will be a checkbox "[ ] I don't know", unselected by default.

> but when selecting the information to submit, this information
> is not checked by default and thus will not be included if people just click through the wizards.

I tried current git and "comment" element (which is the element which holds user's explanation) was selected when I chose to report my test crash to Bugzilla. What is the sequence of your actions which leads to it not being selected?

Comment 13 Christoph Wickert 2012-01-17 14:08:04 UTC
Frankly speaking I don't know. I just clicked through abrt in F15 and the comment was selected. However most reports I receive do not contain any comments.


Note You need to log in before you can comment on or make changes to this bug.